api <- hal_query()
hal <- hal_group(api, field = "docType_s", limit = 20)
expect_identical(hal$group, "true")
expect_identical(hal$group.field, "docType_s")
expect_identical(hal$group.limit, 20)
expect_identical(hal$group.sort, "score asc")

## Prevent grouping and faceting
hal <- hal_facet(api, field = "keyword_s")
expect_identical(hal$facet, "true")
hal <- hal_group(hal, field = "docType_s", limit = 20)
expect_identical(hal$facet, "false")
